// tailwind.config.js
/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./components/**/*.{js,vue,ts}",
    "./layouts/**/*.vue",
    "./pages/**/*.vue",
    "./plugins/**/*.{js,ts}",
    "./app.vue",
    "./error.vue",
  ],
  theme: {
    extend: {
      // 自定义颜色
      colors: {
        primary: {
          50: '#f0f9ff',
          100: '#e0f2fe',
          200: '#bae6fd',
          300: '#7dd3fc',
          400: '#38bdf8',
          500: '#0ea5e9',
          600: '#0284c7',
          700: '#0369a1',
          800: '#075985',
          900: '#0c4a6e',
        },
      },
      // 自定义字体
      fontFamily: {
        sans: ['Inter var', 'sans-serif'],
      },
      // 自定义断点
      screens: {
        'xs': '475px',
      },
    },
  },
  plugins: [],
  // 禁用预加载（可选）
  future: {
    removeDeprecatedGapUtilities: true,
    purgeLayersByDefault: true,
  },
}